credimax/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path("users/", include("users.urls")),
    path("admin/", admin.site.urls),
    # path("", include("admin_datta.urls")),
    path('__debug__/', include('debug_toolbar.urls')),
]

users/urls.py
from django.urls import path

# from admin_datta import views

from . import views

app_name = "users"
urlpatterns = [
    path("", views.lists, name="lists"),
    # path("", views.lists, name="lists"),
    path("create", views.create, name="create"),
    # path("store", views.store, name="store"),
]

users/models.py
from django.db import models

# Create your models here.

users/forms.py
from django.forms import ModelForm, TextInput, EmailInput
from django.contrib.auth.models import User
from django import forms
from django.core import validators

class UserForm(forms.Form):
    # class Meta:
    #     model = User
    #     fields = ['username']
        username = forms.CharField(widget = forms.TextInput(
            attrs = {'placeholder': 'Username'}),
            label = 'Username',
        )
        first_name = forms.CharField(widget = forms.TextInput(
            attrs = {'placeholder': 'First name'}),
            label = 'First name',
        )
        last_name = forms.CharField(widget = forms.TextInput(
            attrs = {'placeholder': 'Last name'}),
            label = 'Last name',
        )
        email = forms.EmailField(widget = forms.TextInput(
            attrs = {'placeholder': 'Email'}),
            label = 'Email',
            validators=[validators.EmailValidator(message="Invalid Email")]
        )

users/views.py
from django.shortcuts import render
from django.http import HttpResponse
from django.contrib.auth.models import User
from django.contrib.auth.hashers import make_password
from .forms import UserForm


# Create your views here.
def lists(request):
    users = User.objects.order_by('-date_joined')
    context = {
        "users": users,
    }
    return render(request, "pages/users/lists.html", context)


def create(request):
    if request.method == "POST":
        form = UserForm(request.POST)
        if(form.is_valid()):
            pass
    else:
        form = UserForm()
    #     user = User.objects.create(
    #         username = request.POST["username"],
    #         first_name = request.POST["first_name"],
    #         last_name = request.POST["last_name"],
    #         email = request.POST["email"],
    #         password = make_password("secret"),
    #     )
    return render(request, "pages/users/create.html", {'form': form})

templates/layouts/base.html
{% load adminlte_helpers i18n %}
{% load static %}

<!DOCTYPE html>
<html>
    <head>
        {% block title_outer %}
            <title>
                {% block title %}{{ site.name }}{% endblock %}
            </title>
        {% endblock %}
        {% block meta %}
            <meta charset="utf-8">
            <meta http-equiv="X-UA-COMPATIBLE" content="IE=edge">
            <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no"
                  name="viewport">
        {% endblock %}
        {% block stylesheets %}
            {% include 'adminlte/lib/_styles.html' %}

            {% block style_sheets %}{% endblock %}
        {% endblock %}
        {% block extra_head %}{% endblock %}
    </head>
    <body class="hold-transition sidebar-mini
                 {% block body_class %}
                     {% block bodyclass %}layout-fixed{% endblock %}
                 {% endblock %}">
        {% block body %}
            <div class="wrapper">
                {% block nav_header %}
                    {% include 'adminlte/lib/_main_header.html' %}

                {% endblock %}
                {% block nav_sidebar %}
                    {% include 'adminlte/lib/_main_sidebar.html' %}

                {% endblock %}
                {% block content_wrapper %}
                    <div class="content-wrapper">
                        {% block content_header %}
                            <section class="content-header">
                                <div class="container-fluid">
                                    <div class="row mb-2">
                                        <div class="col-sm-6">
                                            <h1>Recent users</h1>
                                        </div>
                                        <div class="col-sm-6">
                                            <ol class="breadcrumb float-sm-right">
                                                <li class="breadcrumb-item">
                                                    <a href="#">Home</a>
                                                </li>
                                                <li class="breadcrumb-item active">Simple Tables</li>
                                            </ol>
                                        </div>
                                    </div>
                                </div>
                            </section>
                        {% endblock %}
                        {% block content_outer %}
                            <section class="content">
                                {% block messages %}
                                    {% include 'adminlte/lib/_messages.html' %}

                                {% endblock %}
                                {% block content_block_wrap %}
                                    {% block content %}{% endblock %}
                                {% endblock %}
                            </section>
                        {% endblock %}
                    </div>
                {% endblock content_wrapper %}
                {% block nav_footer %}
                    {% include 'adminlte/lib/_main_footer.html' %}

                {% endblock %}
            </div>
        {% endblock body %}
        {% block javascript %}
            {% include 'adminlte/lib/_scripts.html' %}

            {% block js %}{% endblock %}
        {% endblock %}
        {% block extra_js %}{% endblock %}
        {% block extra_foot %}{% endblock %}
    </body>
</html>

templates/pages/users/create.html
{% extends 'layouts/base.html' %}

{% load crispy_forms_tags %}

{% block content %}
    <div class="container-fluid">
        <div class="row"></div>
        <div class="row">
            <div class="col-md-8 offset-2">
                <div class="card card-primary">
                    <form action="{% url 'users:create' %}"
                          method="POST"
                          enctype="multipart/form-data"
                          novalidate>
                        {% csrf_token %}
                        <div class="card-body">
                            {{ form|crispy }}
                            {% comment %} <div class="form-group">
                                <label>Username</label>
                                <input type="text" class="form-control" name="username" />
                            </div>
                            <div class="form-group">
                                <label>First name</label>
                                <input type="text" class="form-control" name="first_name" />
                            </div>
                            <div class="form-group">
                                <label>Last name</label>
                                <input type="text" class="form-control" name="last_name" />
                            </div>
                            <div class="form-group">
                                <label>Email address</label>
                                <input type="email" class="form-control" name="email">
                            </div> {% endcomment %}
                        </div>
                        <div class="card-footer text-right">
                            <button type="submit" class="btn btn-primary">Submit</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}

templates/pages/users/lists.html
{% extends 'layouts/base.html' %}

{% block content %}
    <div class="container-fluid">
        <div class="row"></div>
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body table-responsive p-0">
                        <table class="table table-hover text-nowrap">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>First Name</th>
                                    <th>Last Name</th>
                                    <th>Username</th>
                                    <th>Email</th>
                                    <th>Status</th>
                                    <th>Created at</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for user in users %}
                                    <tr>
                                        <td>{{ forloop.counter }}</td>
                                        <td>{{ user.first_name }}</td>
                                        <td>{{ user.last_name }}</td>
                                        <td>{{ user.username }}</td>
                                        <td>{{ user.email }}</td>
                                        <td>
                                            {% if user.is_active %}
                                                <i class="fas fa-circle text-green"></i>
                                            {% else %}
                                                <i class="fas fa-circle text-red"></i>
                                            {% endif %}
                                        </td>
                                        <td>{{ user.date_joined|date:"d F Y" }}</td>
                                        <td>
                                            <button type="button" class="btn btn-default">Actualizar</button>
                                        </td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}